﻿@page "/timeline"

<PageTitle>Timeline</PageTitle>

<h1>Temperatures</h1>
@*Die UI sollte Trendlinien für Temperaturen, Ventilstellungen, den Status der Pumpe
und andere relevante Daten anzeigen. Standardmäßig sollten die letzten 24 Stunden dargestellt werden, 
aber der Benutzer sollte auch in der Lage sein, den anzuzeigenden Zeitraum anzupassen.*@
<h2>Temperaturen</h2>
<div class="input-group mb-3">
    <label class="input-group-text" for="inputGroupSelect01">Zeitspanne</label>
    <select class="form-select" id="inputGroupSelect01">
        <option selected>Wählen...</option>
        <option value="1">1 Tag</option>
        <option value="30">1 Monat</option>
        <option value="365">1 Jahr</option>
    </select>
</div>
<div class="container text-center">
    <div class="row align-items-center">
        <div id="myChart" class="col-8 mx-auto chart" style="height:60vh;"></div>
        <div class="col">
            <div>
                <h3>Durchschnitt</h3>
                <h1>29.3°C</h1>
            </div>
            <hr>
            <div>
                <h3>Mind. Temperatur</h3>
                <h1>28.1°C</h1>
            </div>
            <hr>
            <div>
                <h3>Max. Temperatur</h3>
                <h1>32.5°C</h1>
            </div>
        </div>
    </div>
</div>

<h2>Valve position</h2>

<div class="input-group mb-3">
    <label class="input-group-text" for="inputGroupSelect01">Zeitspanne</label>
    <select class="form-select" id="inputGroupSelect01">
        <option selected>Wählen...</option>
        <option value="1">1 Tag</option>
        <option value="30">1 Monat</option>
        <option value="365">1 Jahr</option>
    </select>
</div>
<div class="container text-center">
    <div class="row align-items-center">
        <div id="myChart" class="col-8 mx-auto chart" style="height:60vh;"></div>
        <div class="col">
           
        </div>
    </div>
</div>

<h2>Pump status</h2>
<div class="input-group mb-3">
    <label class="input-group-text" for="inputGroupSelect01">Zeitspanne</label>
    <select class="form-select" id="inputGroupSelect01">
        <option selected>Wählen...</option>
        <option value="1">1 Tag</option>
        <option value="30">1 Monat</option>
        <option value="365">1 Jahr</option>
    </select>
</div>
<div class="container text-center">
    <div class="row align-items-center">
        <div id="myChart" class="col-8 mx-auto chart" style="height:60vh;"></div>
        <div class="col">
            
        </div>
    </div>
</div>